PamCut: CaloAxis Class Reference

# CaloAxis Class Reference

`#include <CaloAxis2.h>`

List of all members.

## Public Member Functions
void | Init ()
void | Set (CaloLevel1 *calo, Int_t view)
void | Set (CaloLevel1 *calo, Int_t view, Bool_t usemechanicalalignement)
| CaloAxis ()
| CaloAxis (CaloLevel1 *calo, Int_t view)
| CaloAxis (CaloLevel1 *calo, Int_t view, Bool_t usemechanicalalignement)
void | Reset ()
void | Delete ()
| ~CaloAxis ()
void | Add (float xin, float yin)
void | Add (float xin, float yin, float qin)
void | Add (float xin, float yin, float qin, float win)
int | Fit ()
void | Print ()
float | GetPar (Int_t i)
int | GetN ()
float * | GetX ()
float * | GetY ()
float * | GetQ ()
float | GetChi2 ()
float | GetQaxis ()
float | GetQaxis (float toll)
float | GetCOG (Int_t ip)
float | GetQ (Int_t ip)
float | GetQstrip ()
float | GetYfit (float x)
float | GetXmin ()
float | GetXmax ()
void | Draw ()
int | FitAxis (CaloLevel1 *calo, Int_t view, Float_t toll, Bool_t usemechanicalalignement)
int | FitAxis (CaloLevel1 *calo, Int_t view, Float_t toll)
int | FitShower (CaloLevel1 *calo, Int_t view, Float_t toll, Bool_t usemechanicalalignement)
int | FitShower (CaloLevel1 *calo, Int_t view, Float_t toll)
## Public Attributes
CaloEvent * | cevent
vector< float > | x
vector< float > | y
vector< float > | w
vector< float > | q
Float_t | par [2]
Float_t | covpar [2][2]
float | cog [22]
float | qpl [22]
TPolyMarker * | sel
TLine * | axis

## Detailed Description

Definition at line 111 of file CaloAxis2.h.

## Constructor & Destructor Documentation

CaloAxis::CaloAxis | ( |  | ) | `[inline]`

Definition at line 165 of file CaloAxis2.h.

References cevent, and Init().

CaloAxis::CaloAxis | ( | CaloLevel1 * | calo,
|  | Int_t | view |
| ) |  |  | `[inline]`

Definition at line 170 of file CaloAxis2.h.

References cevent, Init(), and Set().

CaloAxis::CaloAxis | ( | CaloLevel1 * | calo,
|  | Int_t | view,
|  | Bool_t | usemechanicalalignement |
| ) |  |  | `[inline]`

Definition at line 175 of file CaloAxis2.h.

References cevent, Init(), and Set().

CaloAxis::~CaloAxis | ( |  | ) | `[inline]`

Definition at line 198 of file CaloAxis2.h.

References Delete().

## Member Function Documentation

void CaloAxis::Add | ( | float | xin,
|  | float | yin,
|  | float | qin,
|  | float | win |
| ) |  |  | `[inline]`

Definition at line 217 of file CaloAxis2.h.

References q, w, x, and y.

void CaloAxis::Add | ( | float | xin,
|  | float | yin,
|  | float | qin |
| ) |  |  | `[inline]`

Definition at line 209 of file CaloAxis2.h.

References q, w, x, and y.

void CaloAxis::Add | ( | float | xin,
|  | float | yin |
| ) |  |  | `[inline]`

Definition at line 201 of file CaloAxis2.h.

References q, w, x, and y.

Referenced by FitAxis(), and FitShower().

void CaloAxis::Delete | ( |  | ) | `[inline]`

Definition at line 196 of file CaloAxis2.h.

References cevent, and Reset().

Referenced by ~CaloAxis().

void CaloAxis::Draw | ( |  | ) | `[inline]`

Definition at line 350 of file CaloAxis2.h.

References axis, GetN(), GetX(), GetXmax(), GetXmin(), GetY(), par, and sel.

int CaloAxis::Fit | ( |  | ) | `[inline]`

Definition at line 226 of file CaloAxis2.h.

References par, w, x, and y.

Referenced by FitAxis(), and FitShower().

int CaloAxis::FitAxis | ( | CaloLevel1 * | calo,
|  | Int_t | view,
|  | Float_t | toll |
| ) |  |  | `[inline]`

Definition at line 549 of file CaloAxis2.h.

References FitAxis().

Referenced by FitAxis().

int CaloAxis::FitAxis | ( | CaloLevel1 * | calo,
|  | Int_t | view,
|  | Float_t | toll,
|  | Bool_t | usemechanicalalignement |
| ) |  |  | `[inline]`

Definition at line 374 of file CaloAxis2.h.

References Add(), cevent, cog, Fit(), GetN(), CaloEvent::GetN(), CaloEvent::idp, CaloEvent::ids, par, CaloEvent::q, q, qpl, Reset(), Set(), x, CaloEvent::xycoord, and CaloEvent::zcoord.

Referenced by CaloTrackCut::Check(), and FitShower().

int CaloAxis::FitShower | ( | CaloLevel1 * | calo,
|  | Int_t | view,
|  | Float_t | toll |
| ) |  |  | `[inline]`

Definition at line 784 of file CaloAxis2.h.

References FitAxis().

int CaloAxis::FitShower | ( | CaloLevel1 * | calo,
|  | Int_t | view,
|  | Float_t | toll,
|  | Bool_t | usemechanicalalignement |
| ) |  |  | `[inline]`

Definition at line 556 of file CaloAxis2.h.

References Add(), cevent, cog, Fit(), GetN(), CaloEvent::GetN(), CaloEvent::idp, par, CaloEvent::q, q, qpl, Reset(), Set(), x, CaloEvent::xycoord, and CaloEvent::zcoord.

float CaloAxis::GetChi2 | ( |  | ) | `[inline]`

Definition at line 280 of file CaloAxis2.h.

References par, w, x, and y.

Referenced by CaloTrackCut::Check(), and CaloTrackChi2Cut::Check().

float CaloAxis::GetCOG | ( | Int_t | ip | ) | `[inline]`

Definition at line 315 of file CaloAxis2.h.

References cog.

int CaloAxis::GetN | ( |  | ) | `[inline]`

Definition at line 260 of file CaloAxis2.h.

References x.

Referenced by Draw(), FitAxis(), and FitShower().

float CaloAxis::GetPar | ( | Int_t | i | ) | `[inline]`

Definition at line 258 of file CaloAxis2.h.

References par.

float CaloAxis::GetQ | ( | Int_t | ip | ) | `[inline]`

Definition at line 320 of file CaloAxis2.h.

References qpl.

float* CaloAxis::GetQ | ( |  | ) | `[inline]`

Definition at line 274 of file CaloAxis2.h.

References q.

Referenced by CaloNHitCut::Check(), CaloIonCut::Check(), and CaloCrossCut::Check().

float CaloAxis::GetQaxis | ( | float | toll | ) | `[inline]`

Definition at line 302 of file CaloAxis2.h.

References cevent, CaloEvent::GetN(), par, CaloEvent::q, q, x, CaloEvent::xycoord, and CaloEvent::zcoord.

float CaloAxis::GetQaxis | ( |  | ) | `[inline]`

Definition at line 295 of file CaloAxis2.h.

References q.

Referenced by CaloNotIntCut::Check().

float CaloAxis::GetQstrip | ( |  | ) | `[inline]`

Definition at line 325 of file CaloAxis2.h.

References q.

float* CaloAxis::GetX | ( |  | ) | `[inline]`

Definition at line 262 of file CaloAxis2.h.

References x.

Referenced by Draw().

float CaloAxis::GetXmax | ( |  | ) | `[inline]`

Definition at line 342 of file CaloAxis2.h.

References x.

Referenced by Draw().

float CaloAxis::GetXmin | ( |  | ) | `[inline]`

Definition at line 337 of file CaloAxis2.h.

References x.

Referenced by Draw().

float* CaloAxis::GetY | ( |  | ) | `[inline]`

Definition at line 268 of file CaloAxis2.h.

References y.

Referenced by Draw().

float CaloAxis::GetYfit | ( | float | x | ) | `[inline]`

Definition at line 333 of file CaloAxis2.h.

References par.

void CaloAxis::Init | ( |  | ) | `[inline]`

Definition at line 148 of file CaloAxis2.h.

References axis, cog, covpar, par, qpl, and sel.

Referenced by CaloAxis(), and Reset().

void CaloAxis::Print | ( |  | ) | `[inline]`

Definition at line 254 of file CaloAxis2.h.

void CaloAxis::Reset | ( |  | ) | `[inline]`

Definition at line 182 of file CaloAxis2.h.

References axis, Init(), q, sel, w, x, and y.

Referenced by CaloTrackCut::Check(), Delete(), FitAxis(), and FitShower().

void CaloAxis::Set | ( | CaloLevel1 * | calo,
|  | Int_t | view,
|  | Bool_t | usemechanicalalignement |
| ) |  |  | `[inline]`

Definition at line 163 of file CaloAxis2.h.

References cevent, and CaloEvent::Set().

void CaloAxis::Set | ( | CaloLevel1 * | calo,
|  | Int_t | view |
| ) |  |  | `[inline]`

Definition at line 162 of file CaloAxis2.h.

References cevent, and CaloEvent::Set().

Referenced by CaloAxis(), FitAxis(), and FitShower().

## Member Data Documentation

TLine* CaloAxis::axis

Definition at line 142 of file CaloAxis2.h.

Referenced by Draw(), Init(), and Reset().

CaloEvent* CaloAxis::cevent

Definition at line 115 of file CaloAxis2.h.

Referenced by CaloAxis(), Delete(), FitAxis(), FitShower(), GetQaxis(), and Set().

float CaloAxis::cog[22]

Definition at line 135 of file CaloAxis2.h.

Referenced by FitAxis(), FitShower(), GetCOG(), and Init().

Float_t CaloAxis::covpar[2][2]

Definition at line 130 of file CaloAxis2.h.

Referenced by Init().

Float_t CaloAxis::par[2]

Definition at line 129 of file CaloAxis2.h.

Referenced by CaloGeomCut::Check(), Draw(), Fit(), FitAxis(), FitShower(), GetChi2(), GetPar(), GetQaxis(), GetYfit(), and Init().

vector<float> CaloAxis::q

Definition at line 124 of file CaloAxis2.h.

Referenced by Add(), FitAxis(), FitShower(), GetQ(), GetQaxis(), GetQstrip(), and Reset().

float CaloAxis::qpl[22]

Definition at line 136 of file CaloAxis2.h.

Referenced by FitAxis(), FitShower(), GetQ(), and Init().

TPolyMarker* CaloAxis::sel

Definition at line 141 of file CaloAxis2.h.

Referenced by Draw(), Init(), and Reset().

vector<float> CaloAxis::w

Definition at line 123 of file CaloAxis2.h.

Referenced by Add(), Fit(), GetChi2(), and Reset().

vector<float> CaloAxis::x

Definition at line 121 of file CaloAxis2.h.

Referenced by Add(), Fit(), FitAxis(), FitShower(), GetChi2(), GetN(), GetQaxis(), GetX(), GetXmax(), GetXmin(), and Reset().

vector<float> CaloAxis::y

Definition at line 122 of file CaloAxis2.h.

Referenced by Add(), Fit(), GetChi2(), GetY(), and Reset().

The documentation for this class was generated from the following file:

- CaloAxis2.h